package com.quant.dao;

import java.util.List;

import com.quant.annotation.MyBatisRepository;
import com.quant.entity.UserVerify;
import com.quant.vo.FinanManagerPageVo;
import com.quant.vo.PageVo;

@MyBatisRepository
public interface FinancialManagerMapper {
	Integer findFinancialManagerRows();

	List<UserVerify> findFinancialManagerByRole(PageVo pageVo);
	
	Integer findApproveFinancialManagerRows(FinanManagerPageVo pageVo);
	
	List<UserVerify> findFinancialManagerByPage(FinanManagerPageVo pageVo);
	
	UserVerify findFinancialManagerByUid(Integer uid);
	
	void UpdateFinancialManagerByUid(UserVerify userVerify);
}
